diff --git a/pgadmin/frm/frmOptions.cpp b/pgadmin/frm/frmOptions.cpp
index 3bdc2d9..058edda 100644
--- a/pgadmin/frm/frmOptions.cpp
+++ b/pgadmin/frm/frmOptions.cpp
@@ -385,33 +385,34 @@ frmOptions::frmOptions(frmMain *parent)
 	lstDisplay->Append(_("Resource Queues"));
 	lstDisplay->Append(_("Catalogs"));
 	lstDisplay->Append(_("Casts"));
+	lstDisplay->Append(_("Event Triggers"));
+	lstDisplay->Append(_("Extensions"));
 	lstDisplay->Append(_("Foreign Data Wrappers"));
 	lstDisplay->Append(_("Foreign Servers"));
 	lstDisplay->Append(_("User Mappings"));
-	lstDisplay->Append(_("Foreign Tables"));
 	lstDisplay->Append(_("Languages"));
-	lstDisplay->Append(_("Synonyms"));
 	lstDisplay->Append(_("Schemas"));
+	lstDisplay->Append(_("Synonyms"));
 	lstDisplay->Append(_("Slony-I Clusters"));
 	lstDisplay->Append(_("Aggregates"));
 	lstDisplay->Append(_("Collations"));
 	lstDisplay->Append(_("Conversions"));
 	lstDisplay->Append(_("Domains"));
-	lstDisplay->Append(_("Extensions"));
+	lstDisplay->Append(_("External Tables"));
+	lstDisplay->Append(_("Foreign Tables"));
+	lstDisplay->Append(_("FTS Configurations"));
+	lstDisplay->Append(_("FTS Dictionaries"));
+	lstDisplay->Append(_("FTS Parsers"));
+	lstDisplay->Append(_("FTS Templates"));
 	lstDisplay->Append(_("Functions"));
-	lstDisplay->Append(_("Trigger Functions"));
-	lstDisplay->Append(_("Packages"));
-	lstDisplay->Append(_("Procedures"));
 	lstDisplay->Append(_("Operators"));
 	lstDisplay->Append(_("Operator Classes"));
 	lstDisplay->Append(_("Operator Families"));
+	lstDisplay->Append(_("Packages"));
+	lstDisplay->Append(_("Procedures"));
 	lstDisplay->Append(_("Sequences"));
 	lstDisplay->Append(_("Tables"));
-	lstDisplay->Append(_("External Tables"));
-	lstDisplay->Append(_("FTS Configurations"));
-	lstDisplay->Append(_("FTS Dictionaries"));
-	lstDisplay->Append(_("FTS Parsers"));
-	lstDisplay->Append(_("FTS Templates"));
+	lstDisplay->Append(_("Trigger Functions"));
 	lstDisplay->Append(_("Types"));
 	lstDisplay->Append(_("Views"));
 
diff --git a/pgadmin/schema/pgDatabase.cpp b/pgadmin/schema/pgDatabase.cpp
index 8f8f12e..f0ce67b 100644
--- a/pgadmin/schema/pgDatabase.cpp
+++ b/pgadmin/schema/pgDatabase.cpp
@@ -618,6 +618,8 @@ void pgDatabase::ShowTreeDetail(ctlTree *browser, frmMain *form, ctlListView *pr
 				browser->AppendCollection(this, catalogFactory);
 			if (settings->GetDisplayOption(_("Casts")))
 				browser->AppendCollection(this, castFactory);
+			if (connection()->BackendMinimumVersion(9, 3) && settings->GetDisplayOption(_("Event Triggers")))
+				browser->AppendCollection(this, eventTriggerFactory);
 			if (settings->GetDisplayOption(_("Extensions")) && GetConnection()->BackendMinimumVersion(9, 1))
 				browser->AppendCollection(this, extensionFactory);
 			if (settings->GetDisplayOption(_("Foreign Data Wrappers")) && GetConnection()->BackendMinimumVersion(8, 4))
@@ -629,8 +631,6 @@ void pgDatabase::ShowTreeDetail(ctlTree *browser, frmMain *form, ctlListView *pr
 					browser->AppendCollection(this, synonymFactory);
 			if (settings->GetDisplayOption(_("Schemas")))
 				browser->AppendCollection(this, schemaFactory);
-			if (connection()->BackendMinimumVersion(9, 3) && settings->GetDisplayOption(_("Event Triggers")))
-				browser->AppendCollection(this, eventTriggerFactory);
 			if (settings->GetDisplayOption(_("Slony-I Clusters")))
 				browser->AppendCollection(this, slClusterFactory);
 
